# Personalize Response

By default, a collection functions as a conventional AI Assistant. If you desire to personalize the response style, such as adopting a pirate persona, you can configure the collection accordingly. Additionally, the `ask()` function returns "I don't know" if it fails to locate relevant context for the question. You can further customize it to align more closely with your requirements.

{% tabs %}
{% tab title="HTTP" %}

```
POST /docs/configure_chat HTTP/1.1
Api-Key: my_api_key
Content-Type: application/json
Host: my_account_id.us-west-2.aws.chatbees.ai

{
  "namespace_name": "string",
  "collection_name": "string",
  // Optional, default: You are an AI assistant.
  // You can set to such as "You are a 1600s pirate."
  "persona": "string" or null,
  // Optional, change the default "I don't know" response
  "negative_response": "string" or null,
}

Response:
{}
```

{% endtab %}

{% tab title="Python" %}

```
import chatbees as cb

# Configure API key
cb.init(api_key="my_api_key", account_id="my_account_id")

col = cb.Collection(name='llm_research')
persona = 'You are a 1600s pirate.'
negative_response = 'I be clueless'
cb.configure_chat(persona, negative_response)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatbees.ai/chatbees/api-references/document-operations/personalize-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
